Optware installation errors

Post new topic   Reply to topic    DD-WRT Forum Forum Index -> Broadcom SoC based Hardware
Goto page 1, 2  Next
Author Message
Sypher
DD-WRT Novice


Joined: 22 Sep 2006
Posts: 6

PostPosted: Thu Feb 15, 2007 18:39    Post subject: Optware installation errors Reply with quote
Hi,

Because i want to install freeradius and some other things on my DD-WRT v23 SP2 / VPN edition i tried installing the optware stuff.

I downloaded the optware-install.sh and executed it, but it gave me some errors about ldconfig.

Quote:
/tmp # sh ./optware-install.sh
Checking system config ...
Using 10.0.0.138 as default gateway.
Using the following nameserver(s):
nameserver 192.168.1.1
Installing package uclibc-opt_0.9.28-12_mipsel.ipk ...
Connecting to ipkg.nslu2-linux.org[140.211.166.82]:80
uclibc-opt_0.9.28-12 100% |**********************************************************************************************************| 832 KB 00:00:00 ETA
Updating /opt/etc/ld.so.cache
/opt/sbin/ldconfig: can't link /opt/lib/libdl.so.0 to libdl-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libnsl.so.0 to libnsl-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libthread_db.so.1 to libthread_db-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libcrypt.so.0 to libcrypt-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libmudflapth.so.0 to libmudflapth.so.0.0.0: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libm.so.0 to libm-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libstdc++.so.6 to libstdc++.so.6.0.8: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libresolv.so.0 to libresolv-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/librt.so.0 to librt-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libintl.so.0 to libintl-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/ld-uClibc.so.0 to ld-uClibc-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libutil.so.0 to libutil-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libc.so.0 to libuClibc-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libpthread.so.0 to libpthread-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libmudflap.so.0 to libmudflap.so.0.0.0: Operation not permitted
/opt/sbin/ldconfig: can't create /opt/etc/ld.so.cache~ (No such file or directory)
Installing package ipkg-opt_0.99.163-9_mipsel.ipk ...
Connecting to ipkg.nslu2-linux.org[140.211.166.82]:80
ipkg-opt_0.99.163-9_ 100% |**********************************************************************************************************| 75896 00:00:00 ETA
/opt/sbin/ldconfig: can't link /opt/lib/libipkg.so.0 to libipkg.so.0.0.0: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libdl.so.0 to libdl-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libnsl.so.0 to libnsl-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libthread_db.so.1 to libthread_db-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libcrypt.so.0 to libcrypt-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libmudflapth.so.0 to libmudflapth.so.0.0.0: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libm.so.0 to libm-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libstdc++.so.6 to libstdc++.so.6.0.8: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libresolv.so.0 to libresolv-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/librt.so.0 to librt-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libintl.so.0 to libintl-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/ld-uClibc.so.0 to ld-uClibc-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libutil.so.0 to libutil-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libc.so.0 to libuClibc-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libpthread.so.0 to libpthread-0.9.28.so: Operation not permitted
/opt/sbin/ldconfig: can't link /opt/lib/libmudflap.so.0 to libmudflap.so.0.0.0: Operation not permitted
./optware-install.sh: ./optware-install.sh: 91: /opt/bin/ipkg: not found
./optware-install.sh: ./optware-install.sh: 92: /opt/bin/ipkg: not found
./optware-install.sh: ./optware-install.sh: 93: /opt/bin/ipkg: not found
/tmp #


I am using a SMBmount and i have "faked" having jffs, and i mounted /jffs to my smb. The /opt is mounted to /jffs/opt.

What am i doing wrong and how can i fix this? Thanks in advance!
Sponsor
trey504
DD-WRT User


Joined: 02 Oct 2006
Posts: 220

PostPosted: Thu Feb 15, 2007 19:21    Post subject: Reply with quote
symlink dont work with smbshares... but there might be a way around it, but I dont know I use mmc

and do you have /opt maped to /smb
Sypher
DD-WRT Novice


Joined: 22 Sep 2006
Posts: 6

PostPosted: Thu Feb 15, 2007 19:47    Post subject: Reply with quote
I have just re-enabled JFFS, without faking it but i'm not using it. I have /jffs remounted to /tmp/smbshare

The /opt is mounted to /jffs/opt (/tmp/smbshare/jffs/opt)
Sypher
DD-WRT Novice


Joined: 22 Sep 2006
Posts: 6

PostPosted: Fri Feb 16, 2007 17:29    Post subject: Reply with quote
Hmmz... Tried again but still the same problem
oleo
DD-WRT User


Joined: 25 Jul 2006
Posts: 120

PostPosted: Mon Feb 19, 2007 7:07    Post subject: Reply with quote
I suggest that you create the file /opt/bin/ln
with the following contents
Code:
#!/bin/sh
echo "Copying instead of linking from $1 to $2."
cp $1 $2

Then
Code:
 chmod +x /opt/bin/ln

and assure that /opt/bin is first in the search list
Code:
export PATH=/opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr/sbin

If install script works for you, update wiki page for samba share.
ult_avatar
DD-WRT Novice


Joined: 11 Nov 2007
Posts: 7

PostPosted: Sun Nov 11, 2007 12:17    Post subject: Reply with quote
hey i have the same problem here with the GL,..

i tried all suggested here in the forum to work around with the smb mount, but i still get the same error message as sypher - even with the bash script to copy the files...

does anyone have another suggestion - besides a hardware hack ^^
oleo
DD-WRT User


Joined: 25 Jul 2006
Posts: 120

PostPosted: Sun Nov 11, 2007 18:31    Post subject: Reply with quote
If you have enough RAM, then you could bind /opt to /tmp/opt and install required basic packages. Then umount and copy /tmp/opt to samba share.
ult_avatar
DD-WRT Novice


Joined: 11 Nov 2007
Posts: 7

PostPosted: Tue Nov 13, 2007 8:00    Post subject: Reply with quote
thank you for the quick answer !

The question is, how much ram is required ?

my memory output on the webinterface says this

Memory
Total Available
13.8 MB / 16.0 MB
Free
1.1 MB / 13.8 MB
Used
12.7 MB / 13.8 MB
Buffers
1.6 MB / 12.7 MB
Cached
5.0 MB / 12.7 MB
Active
4.0 MB / 12.7 MB
Inactive
2.7 MB / 12.7 MB


and how exactly can i bind the free space in opt ?[/code]
oleo
DD-WRT User


Joined: 25 Jul 2006
Posts: 120

PostPosted: Tue Nov 13, 2007 12:42    Post subject: Reply with quote
Available is essentially free+cached; I assume that 16MB is tight. Maybe killing some services such as webinterface would help to free RAM teporarily;

Not exact commands would be
Code:

mkdir /tmp/opt
mount -o bind /tmp/opt /opt
wget http://pastebin.ca/raw/328107  -O - | tr -d '\r' > /tmp/optware-install.sh
sh /tmp/optware-install.sh
smb_mount //192.168.c.d/share /mnt/
tar cvf - /opt | tar x -C /mnt -f -
fredmoro
DD-WRT Novice


Joined: 22 Apr 2008
Posts: 3

PostPosted: Tue Apr 22, 2008 21:25    Post subject: Reply with quote
Hi!

I have the same errors as Sypher, when trying to install on a samba share. I've done all the mappings, and other tricks found on forums in this matter. I've tried several times, but nothing helped. I would like to install an ftp server on a wrt54gl 1.1 with ddwrt v23sp2.
Does anyone have idea what else can I try, to install the optware-install.sh on a samba share?

I tried to do the installs by hand, but also failed. Unfortunately I'm newbie in linux matters.Rolling Eyes

Awaiting ideas!
--F
oleo
DD-WRT User


Joined: 25 Jul 2006
Posts: 120

PostPosted: Wed Apr 23, 2008 6:25    Post subject: Reply with quote
manually way could be that you open ipk files with winrar and then just extract them on a shamba share. You need to extract at least uclibc-opt anv vsftpd. Taking care that symbolic links are replaced with real files.
fredmoro
DD-WRT Novice


Joined: 22 Apr 2008
Posts: 3

PostPosted: Wed Apr 23, 2008 9:47    Post subject: Reply with quote
Hi!
I tried that manual way, but ran into the same "can't link" errors.

Then I updated the router's firmware with dd-wrt v24 rc6.2 standard (seems much better than V23 sp2)
I tried again run that script to install on samba share, which is mounted to /jffs.
I've created a directory /jffs/opt mounted to /opt
Then i ran the script, which now made different error report, and seem it done more than before (more files appeared in the directories)

I think the two "(Permission denied)" errors below can cause the script to fail. How can I resolve that permission-problem? I hope if we can solve this,it will work...

The output was:

Code:
/jffs$ sh optware-install.sh
Checking system config ...
Using 213.16.123.254 as default gateway.
Using the following nameserver(s):
nameserver 192.168.1.2
Installing package uclibc-opt_0.9.28-13_mipsel.ipk ...
Connecting to ipkg.nslu2-linux.org [140.211.169.169:80]
/opt/sbin/ldconfig: can't create /opt/etc/ld.so.cache~ (Permission denied)
Connecting to ipkg.nslu2-linux.org [140.211.169.169:80]
Updating /opt/etc/ld.so.cache
Installing package ipkg-opt_0.99.163-9_mipsel.ipk ...
/opt/sbin/ldconfig: can't create /opt/etc/ld.so.cache~ (Permission denied)
Downloading http://ipkg.nslu2-linux.org/feeds/optware/ddwrt/cross/stable/Packages.gz
Inflating http://ipkg.nslu2-linux.org/feeds/optware/ddwrt/cross/stable/Packages.gz
An error ocurred, return value: 1.
Nothing to be done
An error ocurred, return value: 4.
Collected errors:
Cannot find package uclibc-opt.
Check the spelling or perhaps run 'ipkg update'
Nothing to be done
An error ocurred, return value: 4.
Collected errors:
Cannot find package ipkg-opt.
Check the spelling or perhaps run 'ipkg update'


Thanks!
--F
Knasher
DD-WRT User


Joined: 07 Nov 2007
Posts: 449

PostPosted: Wed Apr 23, 2008 14:42    Post subject: Reply with quote
You could always try installing the loop module and creating loopfs on the samba drive. Then if you format that as ext2 you can mount it to opt. Then you should be able to use symlinks and whatever else.
m524c
DD-WRT Novice


Joined: 10 Oct 2008
Posts: 7

PostPosted: Sat Oct 11, 2008 18:34    Post subject: Reply with quote
was a solution ever found to this problem? I am getting the exact same errors trying to load optware on a 600n using a USB drive.
fredmoro
DD-WRT Novice


Joined: 22 Apr 2008
Posts: 3

PostPosted: Mon Oct 13, 2008 7:46    Post subject: Reply with quote
Hi

Well, originally I wanted to install torrent and ftp on the router, but now I bought a WD mybook world, and I run these on the mybook. (That also has Linux OS, so it's easy to get a working torrent / ftp on that). It has a quite large system partition, so no tricks needed to install some optware on it.
I'm not a Linux guru, but it seems for me that he router allows install optware only on it's internal drives (flash memory, or an mmc card).

--F
Goto page 1, 2  Next Display posts from previous:    Page 1 of 2
Post new topic   Reply to topic    DD-WRT Forum Forum Index -> Broadcom SoC based Hardware All times are GMT

Navigation

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum